For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • Get Started
    • Introduction
    • Quickstart
    • Authentication
    • Rate Limit
    • Webhooks
  • Integration Guides
    • Overview
    • Tracking
    • Receiving
    • Returns
    • Billing
  • Other
    • Concepts
    • Status Reference
      • Versioning
      • 2025-07 Migration
      • 2026-01 Migration
    • Errors
    • FAQ
LogoLogo
On this page
  • 1. New Endpoints Introduced
  • 2. Query/Header Param Updates
  • 3. Request Body Changes
  • 4. Response Body Changes
  • Support
OtherVersioning

Upgrade to 2026-01

||View as Markdown|
Was this page helpful?

Last updated February 24, 2026

Previous

Upgrade to 2025-07

Next

Errors

Built with

1. New Endpoints Introduced

Inventory:

  • POST /inventory/history:query – Fetches inventory movement events that change on-hand quantities within the ShipBob network. Returns events such as receiving/stow, order picks, adjustments, restocks, and attribute updates.

2. Query/Header Param Updates

EndpointRemovedAdded / Replaced
PUT /return/{id}shipbob_channel_id (header)-

3. Request Body Changes

PUT /return/{id}

  • Added request fields:
    • inventory[].lot_date
    • inventory[].lot_number

4. Response Body Changes

GET /order (200)

  • Removed field: [].shipments[].store_order_id

POST /order (201)

  • Removed field: shipments[].store_order_id

GET /order/{orderId} (200)

  • Removed field: shipments[].store_order_id

POST /order/{orderId}:cancel (200)

  • Removed field: order.shipments[].store_order_id

PUT /return/{id}

  • Response code removed: 400
  • (200) Added field: inventory[].action_taken[].image_url
  • (422) Added fields: details, errors[], message, stackTrace
  • (422) Removed fields: detail, extensions, instance, status, title, type

Support

If you have questions, please email our Developer Support Team at support@shipbob.com. This will create a ticket with a 1-business day first response time.